Subject: Re: bug#8915: 23.3; Repeatable segmentation fault, all platforms, in character composition code

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Thu, 07 Jul 2011 16:05:29 +0900

>>>>> On Thu, 07 Jul 2011 15:02:32 +0900, Kenichi Handa <[email-masked]> said:

> Could you please try the attached patch which, I think, is cleaner.
> It simply ignores a composition added by font-lock at the first
> time.  The next redisplay will finds that composition at earlier
> position (i.e. the starting position of the composition), and thus
> handles it correctly.

This works for me and the reported case no longer crashes.  Thanks.

				     YAMAMOTO Mitsuharu
				[email-masked]